/*
 * Example for DC Motor 4 click
 *
 * Date         Apr 2017
 * Author       Djordje Rosic
 *
 * Test configuration AVR :
 *  MCU           :        ATMEGA32
 *  Dev. Board    :        EasyAVR v7
 *  SW            :        mikroC PRO for AVR vAVR_COMPLIER_VER
 *
 * Description :
 *
 * This example shows basic controls of DC motor using DC motor 4 click.
 * It shows forward and reverse movement, and high and low rotation speed.
 *
 ******************************************************************************/

#include <stdint.h>

uint16_t pwmPeriod;
sbit DIR_PIN at PORTA7_bit;
sbit DIR_PIN_DIR at DDA7_bit;
/*
 * System Initialization
 */
void systemInit()
{
    DIR_PIN_DIR = 1;
    DDD4_bit = 1;
    PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 255, 1);

}

void main()
{

    systemInit();


    while (1)
    {
        //Forward
        DIR_PIN = 0;
      
        //Forward fast
        PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 255, 1);
        Delay_ms (3000);
        
        //Forward slow
        PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 128, 1);
        Delay_ms (3000);
        
        //Reverse
        DIR_PIN = 1;
        
        //Reverse fast
        PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 255, 1);
        Delay_ms (3000);
       
        //Reverse slow
        PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 128, 1);
        Delay_ms (3000);
    }
}
/************************************************************ END OF FILE *****/